Check order-exchange eligibility
curl --request GET \
--url https://prod01.oms.fabric.inc/api/v2/order/exchange \
--header 'Authorization: Bearer <token>' \
--header 'tenant-key: <tenant-key>' \
--header 'x-site-context: <x-site-context>'import requests
url = "https://prod01.oms.fabric.inc/api/v2/order/exchange"
headers = {
"tenant-key": "<tenant-key>",
"x-site-context": "<x-site-context>",
"Authorization": "Bearer <token>"
}
response = requests.get(url, headers=headers)
print(response.text)const options = {
method: 'GET',
headers: {
'tenant-key': '<tenant-key>',
'x-site-context': '<x-site-context>',
Authorization: 'Bearer <token>'
}
};
fetch('https://prod01.oms.fabric.inc/api/v2/order/exchange', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://prod01.oms.fabric.inc/api/v2/order/exchange",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "GET",
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>",
"tenant-key: <tenant-key>",
"x-site-context: <x-site-context>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://prod01.oms.fabric.inc/api/v2/order/exchange"
req, _ := http.NewRequest("GET", url, nil)
req.Header.Add("tenant-key", "<tenant-key>")
req.Header.Add("x-site-context", "<x-site-context>")
req.Header.Add("Authorization", "Bearer <token>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.get("https://prod01.oms.fabric.inc/api/v2/order/exchange")
.header("tenant-key", "<tenant-key>")
.header("x-site-context", "<x-site-context>")
.header("Authorization", "Bearer <token>")
.asString();require 'uri'
require 'net/http'
url = URI("https://prod01.oms.fabric.inc/api/v2/order/exchange")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Get.new(url)
request["tenant-key"] = '<tenant-key>'
request["x-site-context"] = '<x-site-context>'
request["Authorization"] = 'Bearer <token>'
response = http.request(request)
puts response.read_body{
"orderId": "62f3982438bcab1951be0a19",
"eligibleReasonCodes": [
"wrong item"
],
"policyType": "Exchange or return or cancellation",
"period": "30D00H00M",
"items": [
{
"lineItemId": "62f3dfc438bcab1951be0a19",
"eligibleQuantity": 10,
"eligible": true
}
],
"fees": [
{
"platinumFee": 33.9,
"currency": "USD"
}
]
}{
"message": "Bad request"
}{
"message": "Order with orderId is not found"
}{
"message": "Internal server error"
}Order
Check order-exchange eligibility
This endpoint checks if a specific item or an entire order, for a merchant, is eligible for exchange or not.
GET
/
order
/
exchange
Check order-exchange eligibility
curl --request GET \
--url https://prod01.oms.fabric.inc/api/v2/order/exchange \
--header 'Authorization: Bearer <token>' \
--header 'tenant-key: <tenant-key>' \
--header 'x-site-context: <x-site-context>'import requests
url = "https://prod01.oms.fabric.inc/api/v2/order/exchange"
headers = {
"tenant-key": "<tenant-key>",
"x-site-context": "<x-site-context>",
"Authorization": "Bearer <token>"
}
response = requests.get(url, headers=headers)
print(response.text)const options = {
method: 'GET',
headers: {
'tenant-key': '<tenant-key>',
'x-site-context': '<x-site-context>',
Authorization: 'Bearer <token>'
}
};
fetch('https://prod01.oms.fabric.inc/api/v2/order/exchange', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://prod01.oms.fabric.inc/api/v2/order/exchange",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "GET",
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>",
"tenant-key: <tenant-key>",
"x-site-context: <x-site-context>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://prod01.oms.fabric.inc/api/v2/order/exchange"
req, _ := http.NewRequest("GET", url, nil)
req.Header.Add("tenant-key", "<tenant-key>")
req.Header.Add("x-site-context", "<x-site-context>")
req.Header.Add("Authorization", "Bearer <token>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.get("https://prod01.oms.fabric.inc/api/v2/order/exchange")
.header("tenant-key", "<tenant-key>")
.header("x-site-context", "<x-site-context>")
.header("Authorization", "Bearer <token>")
.asString();require 'uri'
require 'net/http'
url = URI("https://prod01.oms.fabric.inc/api/v2/order/exchange")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Get.new(url)
request["tenant-key"] = '<tenant-key>'
request["x-site-context"] = '<x-site-context>'
request["Authorization"] = 'Bearer <token>'
response = http.request(request)
puts response.read_body{
"orderId": "62f3982438bcab1951be0a19",
"eligibleReasonCodes": [
"wrong item"
],
"policyType": "Exchange or return or cancellation",
"period": "30D00H00M",
"items": [
{
"lineItemId": "62f3dfc438bcab1951be0a19",
"eligibleQuantity": 10,
"eligible": true
}
],
"fees": [
{
"platinumFee": 33.9,
"currency": "USD"
}
]
}{
"message": "Bad request"
}{
"message": "Order with orderId is not found"
}{
"message": "Internal server error"
}Authorizations
Headers
The x-site-context header is a JSON object that contains information about the source you wish to pull from. The mandatory account is the 24 character identifier found in Copilot. The channel (Sales channel ID), stage (environment name), and date attributes can be used to further narrow the scope of your data source.
Example:
"{\"date\": \"2023-01-01T00:00:00.000Z\", \"channel\": 12, \"account\": \"1234abcd5678efgh9ijklmno\",\"stage\":\"production\"}"
Query Parameters
Response
Exchange eligibility per item
Order eligibility object
Was this page helpful?
